LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XSupportedLocales Interface Referencepublished

Offers information about which languages are supported by the object. More...

`import"XSupportedLocales.idl";`

Inheritance diagram for XSupportedLocales:

## Public Member Functions
sequence < com::sun::star::lang::Locale > | getLocales ()
boolean | hasLocale ([in] com::sun::star::lang::Locale aLocale)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Offers information about which languages are supported by the object.

This interface has to be implemented by com::sun::star::linguistic2::SpellChecker, com::sun::star::linguistic2::Hyphenator and com::sun::star::linguistic2::Thesaurus implementations in order to be queried for the languages they can use.

See Also
  com::sun::star::lang::Locale
  com::sun::star::uno::XInterface

## Member Function Documentation

sequence<com::sun::star::lang::Locale> getLocales | ( |  | ) |

Returns
  the sequence of all supported languages.

boolean hasLocale | ( | [in] com::sun::star::lang::Locale | aLocale | ) |

Parameters

  aLocale | specifies the language being checked for support by the object.

Returns
  `TRUE` if the language is supported, otherwise `FALSE`.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XSupportedLocales.idl